package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.service.impl.ZbGcServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/website/gc")
public class RestZbGcController {

    @Autowired
    ZbGcServiceImpl zbGcService;


    @GetMapping("/selectAllSumPriceByMon")
    public AjaxResult selectAllSumPriceByMon(@RequestParam("key")String key){

        return AjaxResult.success(zbGcService.selectAllSumPriceByMon(key==""?null:key));
    }

    @GetMapping("/getAllCount")
    public AjaxResult getAllCount(){

        return AjaxResult.success(zbGcService.getAllCount());
    }

    @GetMapping("/getCleanCake")
    public AjaxResult getCleanCake(){

        return AjaxResult.success(zbGcService.getCleanCake());
    }
    @GetMapping("/getTypeByMon")
    public AjaxResult getTypeByMon(@RequestParam("key")String key){
        return AjaxResult.success(zbGcService.getTypeByMon(key==""?null:key));
    }

    @GetMapping("/getCountByDepType")
    public AjaxResult getCountByDepType(@RequestParam("key")String key){
        return AjaxResult.success(zbGcService.getCountByDepType(key==""?null:key));
    }

    @GetMapping("/getSumPriceByAddr")
    public  AjaxResult getSumPriceByAddr(){
        return AjaxResult.success(zbGcService.selectSumPriceByAddr());
    }
}
